Package com.orchestranetworks.schema.metadata

# Interface SchemaMetadataConstants

public interface SchemaMetadataConstants
This interface contains the `paths` to the nodes that hold the metadata associated to table records.

Since:
  6.1.0
See Also:
  - `SchemaNode.getNodeChildren(boolean)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Path`
  `CREATION_TIME_PATH`
  Path to the node that defines the creation time of a record.
  `static final Path`
  `CREATOR_PATH`
  Path to the node that defines the creator of a record.
  `static final Path`
  `DEFINITION_MODE_PATH`
  Path to the node that specifies the definition mode of a record.
  `static final Path`
  `METADATA_PATH`
  Path to the group that holds the metadata.
  `static final Path`
  `SYSTEM_PATH`
  Path to the group that holds the system informations about a record.
  `static final Path`
  `UPDATE_TIME_PATH`
  Path to the node that defines the time of the last modification of a record.
  `static final Path`
  `UPDATER_PATH`
  Path to the node that defines last user who modified a record.
  `static final Path`
  `UUID_PATH`
  Path to the node that defines the `uuid` of a record.

- ## Field Details

  - ### METADATA_PATH

    static final Path METADATA_PATH
    Path to the group that holds the metadata.

  - ### SYSTEM_PATH

    static final Path SYSTEM_PATH
    Path to the group that holds the system informations about a record.

  - ### CREATOR_PATH

    static final Path CREATOR_PATH
    Path to the node that defines the creator of a record.

    The XML Schema data type Type of corresponding `node` is `SchemaTypeName.XS_STRING`. The value of the corresponding `node` is of type `String`

    This path can be used as the following:

    >      String userRef = record.getString(CREATOR_PATH);

    where `record` is an `record object` and `userRef` is the formatted reference of the user that has created the specified record.
    See Also:
      - `Profile.parse(String)`
      - `Profile.format()`
      - `Adaptation.getCreator()`

  - ### CREATION_TIME_PATH

    static final Path CREATION_TIME_PATH
    Path to the node that defines the creation time of a record.

    The XML Schema data type Type of corresponding `node` is `SchemaTypeName.XS_DATETIME`. The value of the corresponding `node` is of type `Date`.

    This path can be used as the following:

    >      Date timeOfCreation = record.getDate(CREATION_TIME_PATH);

    where `record` is an `record object`.
    See Also:
      - `Adaptation.getTimeOfCreation()`

  - ### UPDATER_PATH

    static final Path UPDATER_PATH
    Path to the node that defines last user who modified a record.

    The XML Schema data type Type of corresponding `node` is `SchemaTypeName.XS_STRING`. The value of the corresponding `node` is of type `String`

    This path can be used as the following:

    >      String userRef = record.getString(UPDATER_PATH);

    where `record` is an `record object` and `userRef` is the formatted reference of the last user that has modified the specified record.
    See Also:
      - `Profile.parse(String)`
      - `Profile.format()`
      - `Adaptation.getLastUser()`

  - ### UPDATE_TIME_PATH

    static final Path UPDATE_TIME_PATH
    Path to the node that defines the time of the last modification of a record.

    The XML Schema data type Type of corresponding `node` is `SchemaTypeName.XS_DATETIME`. The value of the corresponding `node` is of type `Date`.

    This path can be used as the following:

    >      Date timeOfLastModification = record.getDate(UPDATE_TIME_PATH);

    where `record` is an `record object`.
    See Also:
      - `Adaptation.getTimeOfLastModification()`

  - ### UUID_PATH

    static final Path UUID_PATH
    Path to the node that defines the `uuid` of a record.

    The XML Schema data type Type of corresponding `node` is `SchemaTypeName.XS_STRING`. The value of the corresponding `node` is of type `String`.

    This path can be used as the following:

    >      String uuid = record.getString(UUID_PATH);

    where `record` is an `record object`.

  - ### DEFINITION_MODE_PATH

    static final Path DEFINITION_MODE_PATH
    Path to the node that specifies the definition mode of a record.

    The XML Schema data type Type of corresponding `node` is `SchemaTypeName.XS_STRING`. The value of the corresponding `node` is of type `String`.

    Note: this node must not be used in any kind of filter or sort operation.

    This path can be used as the following:

    >      String definitionMode = record.get_string(DEFINITION_MODE_PATH);

    where `record` is an `record object`.
    Since:
      6.2.1
    See Also:
      - `DefinitionMode`